$xs: 360px;
$sm: 480px;
$md: 768px;
$lg: 1024px;
$xl: 1280px;

$breakpoints: (
        xs: $xs,
        sm: $sm,
        md: $md,
        lg: $lg,
        xl: $xl
);

$font-size-base: 16px;
$font-primary: 'formular', sans-serif;
$font-secondary: 'Arial', sans-serif;
$font-monospace: monospace;

$space: rem(20);

$space-factor: (
        1: 0.25,
        2: 0.5,
        3: 1,
        4: 1.5,
        5: 2,
        6: 4
);

// to change

$color-black: #000;
$color-black-2: #131313;
$color-primary: #ef3d02;
$color-success: #df4a27;
$color-danger: red;
// TODO: reorder gray palette
$color-gray-0: #a8a8a8;
$color-gray-1: #636363;
$color-gray-2: #5a5a5a;
$color-gray-3: #494949;
$color-gray-4: #aaaaaa;
$color-gray-5: #0f0f0f;
$color-gray-6: #c0c0c0;
$color-gray-7: #2d2d2d;
$color-gray-8: #363636;
$color-gray-9: #d0d0d0;
$color-gray-10: #e8e8e8;
$color-gray-11: #d8d8d8;
$color-gray-12: #292929;
$color-white-1: #fff;
$color-white-2: #fefefe;
$color-red: red;

$text-color: $color-gray-2;
$link-color: #ff3a00;

$palette: (
  black: $color-black,
  black-2: $color-black-2,
  gray-0: $color-gray-0,
  gray-1: $color-gray-1,
  gray-2: $color-gray-2,
  gray-3: $color-gray-3,
  gray-4: $color-gray-4,
  gray-5: $color-gray-5,
  gray-6: $color-gray-6,
  gray-7: $color-gray-7,
  gray-8: $color-gray-8,
  gray-9: $color-gray-9,
  gray-10: $color-gray-10,
  gray-11: $color-gray-11,
  gray-12: $color-gray-12,
  white-1: $color-white-1,
  white-2: $color-white-2,
  primary: $color-primary,
  //secondary: $color-secondary,
  link: $link-color,
  success: $color-success,
  text: $text-color,
  //info: $color-info,
  //warning: $color-warning,
  danger: $color-danger,
);

$palette-social: (
        blogger: #f58220,
        bobrdobr: #763c34,
        delicious: #003bd8,
        digg: #165495,
        evernote: #75bb1e,
        facebook: #3b5998,
        formspring-me: #4693d7,
        google-bookmarks-old: #246df8,
        google-plus: #dd5044,
        instagram: #325c86,
        instapaper: #6b6b6b,
        juick: #b98337,
        linked-in: #007ab5,
        liveinternet: #27819b,
        livejournal: #6899c4,
        mail-ru: #2f69a1,
        memori: #fd2668,
        myspace: #1d1d1d,
        odnoklassniki: #f58220,
        pinterest: #cb2027,
        readability: #9d0000,
        rss: #fb7629,
        springpad: #f7b42f,
        stumbleupon: #ed4713,
        surfingbird: #14aef8,
        tumblr: #2e4e67,
        twitter: #64a8f2,
        vk: #41658b,
        webdiscover: #8bc514,
        yahoo: #7b0099,
        youtube: #cd201f
);

/// Разделитель
/// @type String
$delimiter: '-';

/// Отступ
/// @type Size
$gutter: 20px;

/// Карта коэфициентов для отступов
/// Каждая единица будет умножена $gutter
///
/// Если $gutter = 20px,
/// то, к примеру для хелепера паддинга, получаем:
/// - _p-sm  = 5px;
/// - _p-md  = 10px;
/// - _p-def = 20px;
/// - _p-lg  = 30px;
/// - _p-xl  = 40px;
/// - _p-mg  = 50px;
///
/// @require $delimiter
/// @type Map
$gutter-factor: (
        #{$delimiter}sm: 0.25,
        #{$delimiter}md: 0.5,
        #{$delimiter}def: 1,
        #{$delimiter}lg: 1.5,
        #{$delimiter}xl: 2,
        #{$delimiter}mg: 2.5
);
